#!/usr/bin/env python3

from gi import require_version
require_version("Gdk", "3.0")
from gi.repository import Gdk
import os

def get_screen_size(display):
    mon_geoms = [
        display.get_monitor(i).get_geometry()
        for i in range(display.get_n_monitors())
    ]

    x0 = min(r.x            for r in mon_geoms)
    y0 = min(r.y            for r in mon_geoms)
    x1 = max(r.x + r.width  for r in mon_geoms)
    y1 = max(r.y + r.height for r in mon_geoms)

    return x1 - x0, y1 - y0

x, y = get_screen_size(Gdk.Display.get_default())

# Do nothing for 1K, 2K HD.  Set to 1K if 4K (for login)
if y > 1440:
    print("4K screen detected")
    os.system('xrandr --output HDMI-1 --primary --mode 1920x1080')
